﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Puzzle
{
    public partial class puzzleForm : Form
    {
        private Form1 form1;    // 퍼즐 갯수 지정을 위해 폼1을 생성

        public puzzleForm(Form1 form1)
        {
            InitializeComponent();
            this.form1 = form1; // 넘겨받은 폼1을 사용하기 위해 전역변수로 지정
        }

        Boolean inputOk = false;    // 정상적인 입력이 있는지 확인하기 위한 변수

        private void puzzleForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (!inputOk) e.Cancel = true;  // 정상적인 입력이 없을 경우 종료를 막음
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int text1 = Convert.ToInt32(textBox1.Text); // 텍스트박스1의 내용을 정수형을 받음

            if (textBox1.Text != null)  // 빈칸이 아닌지 확인
            {
                if (text1 > 1 && text1 <= 9)    // 2~9 의 숫자인지 확인
                {
                        form1.setButtons(text1);    // 퍼즐의 갯수 지정
                        inputOk = true; // 정상적인 입력이 있었음을 표시
                        this.Close();   // 폼 종료
                }
            }
        }
    }
}